Update topic
Update a topic's name, description, schema, or status.
PATCH
/topics/{id}
Update a topic's name, description, schema, or status.
Authentication
API Key (header: X-API-Key) API Key (cookie: better-auth.session_token)
Path Parameters
id
string
required
path
Resource ID (32-char hex)
Example:
"a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6"Request Body required
Request body
application/jsonname
string
Topic name
description
string
Optional description
schema
object
Optional JSON Schema for validation
status
string
Topic status
Enum:
active, pausedResponses
200
Updated topic
application/jsontopic
object | null
REQUIRED
id
string
REQUIRED
org_id
string
REQUIRED
env_id
string
REQUIRED
name
string
REQUIRED
slug
string
REQUIRED
description
string | null
REQUIRED
schema
string | null
REQUIRED
status
string
REQUIRED
created_at
string
REQUIRED
updated_at
string
REQUIRED
400
Bad request
401
Unauthorized
404
Not found
curl -X PATCH 'https://hookstream.io/v1/topics/a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6' \ -H 'Authorization: Bearer YOUR_API_TOKEN' \ -H 'Content-Type: application/json' \ -d '{ "name": "string", "description": "string", "schema": {}, "status": "active"}'
const response = await fetch('https://hookstream.io/v1/topics/a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6', { method: 'PATCH', headers: { "Authorization": "Bearer YOUR_API_TOKEN", "Content-Type": "application/json" }, body: JSON.stringify({ "name": "string", "description": "string", "schema": {}, "status": "active" })});const data = await response.json();console.log(data);
import requestsheaders = { 'Authorization': 'Bearer YOUR_API_TOKEN'}response = requests.patch('https://hookstream.io/v1/topics/a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6', headers=headers, json={ "name": "string", "description": "string", "schema": {}, "status": "active"})print(response.json())
package mainimport ( "fmt" "io" "net/http" "strings")func main() { body := strings.NewReader(`{ "name": "string", "description": "string", "schema": {}, "status": "active"}`) req, _ := http.NewRequest("PATCH", "https://hookstream.io/v1/topics/a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6", body) req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN") req.Header.Set("Content-Type", "application/json") resp, _ := http.DefaultClient.Do(req) defer resp.Body.Close() result, _ := io.ReadAll(resp.Body) fmt.Println(string(result))}
200
Response
{ "topic": { "id": "<string>", "org_id": "<string>", "env_id": "<string>", "name": "<string>", "slug": "<string>", "description": "<string>", "schema": "<string>", "status": "<string>", "created_at": "<string>", "updated_at": "<string>" }}
API Playground
Try this endpoint
PATCH
/topics/{id}